# -*- makefile -*-

default_CONFIG = CONFIG_APP_U2JTAG=n

ifeq ($(CONFIG_APP_U2JTAG),y)

bin_PROGRAMS = u2jtag

u2jtag_SOURCES = u2jtag.c usb_loader.c
u2jtag_MOREOBJS = $(USER_LIB_DIR)/system_stub.o $(USER_LIB_DIR)/ivt.o

lib_LOADLIBES = bspbase usbbase usbmore lpcusb mach_hal msp430jtag

link_VARIANTS = boot

endif #CONFIG_APP_U2JTAG

